package com.qmth.jkserver.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.jkserver.model.ExamStudentAdditional;

import java.util.List;
import java.util.Map;
import java.util.Set;

/*
 * 考生附加信息
 */
public interface ExamStudentAdditionalService extends IService<ExamStudentAdditional> {

    ExamStudentAdditional saveService(ExamStudentAdditional examStudentAdditional);

    public List<ExamStudentAdditional> findByExamCode(String examCode);

    public List<Map> findDistinctStudent(String examCode);

    public Set<String> findUtestDistinctStudent(String examCode);

    public Map<String, String> findUtestDistinctCourse(String examCode);

    public Map<String, String> distinctCourse(String examCode);

    public ExamStudentAdditional findByExamCodeAndTicketNo(String examCode, String ticketNo);

    public ExamStudentAdditional find(String examCode, String ticketNo, String courseCode);

}
